# $Revision: 1.48.2.25 $, $Date: 2008/07/03 13:23:38 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace module
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel		64
%define		snap	-cvs-20060911
%define		pname	rt2400
Summary:	Linux driver for WLAN cards based on RT2400
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart bezprzewodowych opartych na układzie RT2400
Name:		%{pname}%{_alt_kernel}
Version:	1.2.2
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
# Source0:	http://dl.sourceforge.net/rt2400/%{pname}-%{version}%{snap}.tar.gz
Source0:	%{pname}-%{version}%{snap}.tar.bz2
# Source0-md5:	5a0c2c65af1364b215d56be2b881e24f
Patch0:		%{pname}-inc.patch
Patch1:		%{pname}-wireless_stats.patch
Patch2:		%{pname}-skb.patch
Patch3:		%{pname}-2.6.24.patch
URL:		http://rt2x00.serialmonkey.com/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
%endif
%if %{with userspace}
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.1.1
%endif
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A configuartion tool for WLAN cards based on RT2400.

%description -l pl.UTF-8
Program do konfiguracji kart bezprzewodowych opartych na układzie
RT2400.

%package -n kernel%{_alt_kernel}-net-rt2400
Summary:	Linux driver for WLAN cards based on RT2400
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart bezprzewodowych opartych na układzie RT2400
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Obsoletes:	kernel%{_alt_kernel}-smp-net-rt2400

%description -n kernel%{_alt_kernel}-net-rt2400
This is a Linux driver for WLAN cards based on RT2400.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-net-rt2400 -l pl.UTF-8
Sterownik dla Linuksa do kart bezprzewodowych opartych na układzie
RT2400.

Ten pakiet zawiera moduł jądra Linuksa.

%prep
%setup -q -n %{pname}-%{version}%{snap}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%if %{with userspace}
cd Utility
qmake -o Makefile.orig raconfig2400.pro
sed -e 's/-lqt /-lqt-mt /g' Makefile.orig > Makefile
%{__make} \
	CXXFLAGS="%{rpmcflags} %(pkg-config qt-mt --cflags)" \
	LDFLAGS="%{rpmldflags}" \
	QTDIR="%{_prefix}"
cd ..
%endif

%if %{with kernel}
%build_kernel_modules -C Module -m rt2400 \
%ifarch sparc
	EXTRA_CFLAGS="-fno-schedule-insns"
	# workaround for (probably GCC) bug on sparc:
	# `unable to find a register to spill in class `FP_REGS''
%else
	# beware of evil '\'
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -D Utility/RaConfig2400 $RPM_BUILD_ROOT%{_bindir}/RaConfig2400
%endif

%if %{with kernel}
%install_kernel_modules -m Module/rt2400 -d kernel/drivers/net/wireless
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-net-rt2400
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-net-rt2400
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ
%attr(755,root,root) %{_bindir}/RaConfig2400
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-rt2400
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rt2400.spec,v $
Revision 1.48.2.25  2008/07/03 13:23:38  glen
- updated for 2.6.22 kernel from HEAD, old one in LINUX_2_6_16 branch

Revision 1.48.2.24  2008/07/03 13:07:29  glen
- convert to utf8

Revision 1.48.2.23  2008-02-19 23:26:32  glen
- release 63

Revision 1.48.2.22  2008-02-15 01:29:33  glen
- use kernel vermagic in deps

Revision 1.48.2.21  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.48.2.20  2008-01-28 09:33:20  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.48.2.19  2008-01-21 08:28:15  glen
- rel 59 (2.6.16.59-2)

Revision 1.48.2.18  2008-01-18 12:26:08  glen
- rel 58 (2.6.16.58-1)

Revision 1.48.2.17  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.48.2.16  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.48.2.15  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.48.2.14  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.48.2.13  2007/10/22 20:30:26  glen
- %requires_releq_kernel_* already tightens the requirement

Revision 1.48.2.12  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.48.2.11  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.48.2.10  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.48.2.9  2007/10/01 21:25:45  glen
- rel 54

Revision 1.48.2.8  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.48.2.7  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.48.2.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.48.2.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.48.2.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.48.2.3  2007/04/25 22:10:50  glen
- rel 10 (kernel 2.6.16.49)

Revision 1.48.2.2  2007/03/27 22:18:15  glen
- rel 9 (kernel 2.6.16.45)

Revision 1.48.2.1  2007/03/15 23:15:04  glen
- rel 8

Revision 1.48  2007/01/23 18:31:44  hawk
- release 7

Revision 1.47  2006/12/08 14:03:16  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 6

Revision 1.46  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.45  2006/11/12 18:32:01  sparky
- nicer

Revision 1.44  2006/11/12 17:27:49  glen
- tabs

Revision 1.43  2006/11/11 16:15:43  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules macros
- use EXTRA_CFLAGS instead of redefining CC

Revision 1.42  2006/09/11 18:52:09  kosmo
- updated to cvs 20060911

Revision 1.41  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.40  2006/08/23 14:30:14  radek
- remove BR: XF86-devel, fix build on th

Revision 1.39  2006/07/02 16:06:13  hawk
- release 4

Revision 1.38  2006/04/28 21:50:14  dzeus
- cleanup

Revision 1.37  2006/04/12 11:27:50  glen
- qt, kernel epoch; adapterized

Revision 1.36  2006/03/14 19:31:24  qboosh
- moved BUGFLAGS to proper place
- ppc* cleanup

Revision 1.35  2006/03/14 19:06:06  radek
- -fno-schedule-insns on sparc as workaround for (gcc?) bug

Revision 1.34  2006/03/14 16:26:30  radek
- release 3
    She smells like template-kernel-module.spec ought to smell.
    The perfect one.
    The Goddess.
    The %build section.

Revision 1.33  2006/01/12 20:21:47  arekm
- rel 2

Revision 1.32  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.31  2005/08/08 21:21:08  areq
- 1.2.2-b3

Revision 1.30  2005/05/28 09:47:47  averne
- BR: qmake
- rel 2

Revision 1.29  2005/04/15 08:50:16  qboosh
- unified sf URL, updated md5

Revision 1.28  2005/04/15 08:05:38  qwark
- up to version 1.2.2-b2 (beta2), ugly hack to compile Utility with qt-mt,
  please correct it

Revision 1.27  2005/03/29 18:27:48  sparky
- added missing path

Revision 1.26  2005/03/10 20:58:45  darekr
- BR: perl-base

Revision 1.25  2004/10/31 20:14:56  paladine
- spaces->tabs
- formatting

Revision 1.24  2004/09/21 03:04:57  matkor
- Version 1.2.1-1. Stability fixes, is it going to work 20[s] instead of 10[s] after mldonkey start ? ;)

Revision 1.23  2004/08/06 07:27:10  pluto
- post(un) fixed.
- release 3.

Revision 1.22  2004/07/23 20:19:32  qboosh
- kernel-net-rt2400.spec renamed to rt2400.spec - removed todo
- fixed smp depmods

Revision 1.21  2004/07/04 21:33:05  qboosh
- fixed build on amd64

Revision 1.20  2004/07/04 20:28:53  qboosh
- formatting

Revision 1.19  2004/07/04 19:04:11  havner
- f*** requires

Revision 1.18  2004/07/04 18:55:10  havner
- rel 1

Revision 1.17  2004/07/04 18:21:50  pluto
- en, pl.

Revision 1.16  2004/07/04 17:31:34  pluto
- utils added.

Revision 1.15  2004/07/04 16:58:18  pluto
- cosmetics, todo.

Revision 1.14  2004/07/04 11:14:16  averne
- fixed to build on 2.6.7

Revision 1.13  2004/07/04 10:50:54  averne
- fixed module dir

Revision 1.12  2004/07/01 19:40:29  averne
- added %prep

Revision 1.11  2004/06/30 00:03:36  skibi
- Update 1.2.0

Revision 1.10  2004/06/22 11:03:41  skibi
- Update 1.1.1-b2

Revision 1.9  2004/06/02 18:43:03  matkor
- Typos.

Revision 1.8  2004/06/02 18:15:42  qboosh
- wrrr... restored things overwritten by copying template

Revision 1.7  2004/06/02 14:15:34  matkor
- Based on kernel-module-template. Does not build though (as previous version).

Revision 1.6  2004/06/02 03:15:59  matkor
- Version 1.1.1b1-0.1. Does not build though.. :/

Revision 1.5  2004/04/27 20:06:07  skibi
- Add correct md5sum

Revision 1.4  2004/04/27 19:24:50  qboosh
- cosmetics

Revision 1.3  2004/04/27 19:06:00  skibi
- fix

Revision 1.2  2004/04/27 13:39:02  skibi
- Wlan Ralink driver v 1.10

Revision 1.1  2004/04/27 13:33:32  skibi
- Init
